<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="pt"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>ThymeleafConfiguration.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Credenciamento</a> &gt; <a href="index.source.html" class="el_package">br.edu.unifacisa.lti.config</a> &gt; <span class="el_source">ThymeleafConfiguration.java</span></div><h1>ThymeleafConfiguration.java</h1><pre class="source lang-java linenums">package br.edu.unifacisa.lti.config;

import org.apache.commons.lang3.CharEncoding;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.annotation.*;
import org.thymeleaf.templateresolver.ClassLoaderTemplateResolver;

@Configuration
<span class="fc" id="L10">public class ThymeleafConfiguration {</span>

<span class="fc" id="L12">    @SuppressWarnings(&quot;unused&quot;)</span>
<span class="fc" id="L13">    private final Logger log = LoggerFactory.getLogger(ThymeleafConfiguration.class);</span>

    @Bean
    @Description(&quot;Thymeleaf template resolver serving HTML 5 emails&quot;)
    public ClassLoaderTemplateResolver emailTemplateResolver() {
<span class="fc" id="L18">        ClassLoaderTemplateResolver emailTemplateResolver = new ClassLoaderTemplateResolver();</span>
<span class="fc" id="L19">        emailTemplateResolver.setPrefix(&quot;mails/&quot;);</span>
<span class="fc" id="L20">        emailTemplateResolver.setSuffix(&quot;.html&quot;);</span>
<span class="fc" id="L21">        emailTemplateResolver.setTemplateMode(&quot;HTML5&quot;);</span>
<span class="fc" id="L22">        emailTemplateResolver.setCharacterEncoding(CharEncoding.UTF_8);</span>
<span class="fc" id="L23">        emailTemplateResolver.setOrder(1);</span>
<span class="fc" id="L24">        return emailTemplateResolver;</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>